This endpoint calculates tax for an invoice based on the provided request data.
To learn more about how tax is calculated, see the tax calculation guide.
It processes the invoice details and returns calculated tax information,
including individual tax items and total tax due.
Input: Details about the invoice.
Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction.
Raises an HTTPException if there’s an error processing while the request,
translating to a non 200 status code response.
By default, tax will be calculated as zero if you attempt to perform a calculation in a customer location where your company is not yet registered. If you provide an X-Include-Unregistered: true header, this requirement is overridden, and tax will be nonzero in some cases even when unregistered in that jurisdiction.
Amount of discount applied to the transaction. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: "100" would be 100 cents or $1.00 in a USD transaction.
Amount of discount applied to the vendor in the transaction. Most of the time, you should use the discount_amount field instead. Unlike discount_amount, this discount is funded by the vendor and typically does not reduce the taxable base of the transaction. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: "100" would be 100 cents or $1.00 in a USD transaction.
Date and time for the tax calculation. Timezone is required for better accuracy. Use the ISO 8601 format. e.g: 2024-03-15T12:00:00Z. If not provided, the current UTC date and time will be used.
List of line items for an invoice or transaction. Required for sale transactions, optional for credits. A credit transaction without line_items will be assumed to be a full refund of the invoice.
{
"errors": [
{
"status": "500",
"code": "system_internal_error",
"title": "Internal Error",
"detail": "An unexpected error occurred. Our team has been notified."
}
]
}
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Taxwire Documentation","colors":{"primary":"#006ad4","light":"#007fff","dark":"#006ad4"},"logo":{"light":"https://mintcdn.com/taxwire/kIqs87W6QVd_NiC-/logo/light.svg?fit=max\u0026auto=format\u0026n=kIqs87W6QVd_NiC-\u0026q=85\u0026s=7bb92701f7b553132429a252a66c75bc","dark":"https://mintcdn.com/taxwire/kIqs87W6QVd_NiC-/logo/dark.svg?fit=max\u0026auto=format\u0026n=kIqs87W6QVd_NiC-\u0026q=85\u0026s=09554c84098823bcca29b587dda40df7"},"favicon":"https://mintcdn.com/taxwire/kIqs87W6QVd_NiC-/favicon.svg?fit=max\u0026auto=format\u0026n=kIqs87W6QVd_NiC-\u0026q=85\u0026s=5dbb639aafc59d9545e12978a7e48bdb","api":{"mdx":{"auth":{"method":"key","name":"x-api-key"},"server":"https://api.taxwire.com"}},"navbar":{"links":[{"href":"mailto:support@taxwire.com","label":"Support"}],"primary":{"type":"button","label":"Taxwire App","href":"https://app.taxwire.com"}},"footer":{"socials":{"x":"https://x.com/taxwire_inc","github":"https://github.com/taxwire","linkedin":"https://linkedin.com/company/taxwire"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"taxwire","hasAudioNarration":false,"actualSubdomain":"taxwire","customDomains":["apidocs.taxwire.com"],"gitSource":{"type":"github","owner":"taxwire","repo":"taxwire-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6af238f4f5946255ca934078","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"Guides","count":10},{"language":"default","tag":"Customers","count":6},{"language":"default","tag":"Products","count":6},{"language":"default","tag":"Transaction flows","count":5},{"language":"default","tag":"API details","count":4},{"language":"default","tag":"Getting Started","count":4},{"language":"default","tag":"Transactions","count":4},{"language":"default","tag":"Certificates","count":2},{"language":"default","tag":"Product Tax Codes (PTC) \u0026 Attributes","count":2},{"language":"default","tag":"Calculations","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/calculations/create","slug":"/api-reference/calculations/create","pageMetadata":{"title":"Tax calculations","openapi":"POST /calculations","description":"This endpoint calculates tax for an invoice based on the provided request data.\nTo learn more about how tax is calculated, see the [tax calculation guide](/api-reference/guides/calculate_taxes).\n\nIt processes the invoice details and returns calculated tax information,\nincluding individual tax items and total tax due.\n\n- Input: Details about the invoice.\n- Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction.\n\nRaises an `HTTPException` if there's an error processing while the request, \ntranslating to a non 200 status code response.\n","href":"/api-reference/calculations/create"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"This endpoint calculates tax for an invoice based on the provided request data.\\nTo learn more about how tax is calculated, see the \", _jsx(_components.a, {\n href: \"/api-reference/guides/calculate_taxes\",\n children: \"tax calculation guide\"\n }), \".\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"It processes the invoice details and returns calculated tax information,\\nincluding individual tax items and total tax due.\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Input: Details about the invoice.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction.\"\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Raises an \", _jsx(_components.code, {\n children: \"HTTPException\"\n }), \" if there’s an error processing while the request,\\ntranslating to a non 200 status code response.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Heading}=_components;if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`currency`,children:`Currency`}),`\n`,_jsxs(_components.p,{children:[`A `,_jsx(_components.code,{children:`currency`}),` we do not support returns `,_jsx(_components.code,{children:`422`}),`. See `,_jsx(_components.a,{href:`/api-reference/guides/calculate_taxes#currency`,children:`currency support`}),`.`]}),`\n`,_jsx(Heading,{level:`3`,id:`note-on-registrations`,children:`Note on registrations`}),`\n`,_jsxs(_components.p,{children:[`By default, tax will be calculated as zero if you attempt to perform a calculation in a customer location where your company is not yet registered. If you provide an `,_jsx(_components.code,{children:`X-Include-Unregistered: true`}),` header, this requirement is overridden, and tax will be nonzero in some cases even when unregistered in that jurisdiction.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Tax calculations","openapi":"POST /calculations","description":"This endpoint calculates tax for an invoice based on the provided request data.\nTo learn more about how tax is calculated, see the [tax calculation guide](/api-reference/guides/calculate_taxes).\n\nIt processes the invoice details and returns calculated tax information,\nincluding individual tax items and total tax due.\n\n- Input: Details about the invoice.\n- Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction.\n\nRaises an `HTTPException` if there's an error processing while the request, \ntranslating to a non 200 status code response.\n","href":"/api-reference/calculations/create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Currency","slug":"currency","depth":3,"children":[]},{"title":"Note on registrations","slug":"note-on-registrations","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Tax Calculations"],"summary":"Calculate Tax for Invoice","description":"This endpoint calculates tax for an invoice based on the provided request data.\nTo learn more about how tax is calculated, see the [tax calculation guide](/api-reference/guides/calculate_taxes).\n\nIt processes the invoice details and returns calculated tax information,\nincluding individual tax items and total tax due.\n\n- Input: Details about the invoice.\n- Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction.\n\nRaises an `HTTPException` if there's an error processing while the request, \ntranslating to a non 200 status code response.\n","operationId":"calculate_invoice_tax_calculations_post","requestBody":"d8de573a-41a4-49ee-8abc-8ae926751a01","responses":{"200":"7915c37b-e46e-44cc-87b5-a8b867f4ec15","409":"8292a209-0a4f-47e0-8681-4df029e2ac5c","422":"329cee3c-bbaf-41c9-9df1-bc1e4ef7d89a","429":"7f91051c-0634-4367-b6ce-4e71ec70e850","500":"56818c91-6962-4eed-bb51-47257a7faf5e"},"security":["91c3c904-3207-4229-beff-cb88267ddec4","c4843f78-f24d-453f-aa20-c3862ce4cf76"],"method":"post","type":"path","servers":[],"path":"/calculations","baseUrlOptions":["https://api.taxwire.com"],"title":"Calculate Tax for Invoice","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"properties":{"currency":{"type":"string","maxLength":3,"minLength":3,"title":"Currency","description":"The currency of the transaction. Defaults to `USD`. The currency must be a valid ISO 4217 currency code.","default":"USD","examples":["USD"],"uniqueKey":"currency","typeLabel":"string"},"discount_amount":{"oneOf":[{"type":"string","title":"Discount Amount","description":"Amount of discount applied to the transaction. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: `\"100\"` would be 100 cents or $1.00 in a USD transaction.","example":"100","uniqueKey":"discount_amount.oneOf.0","typeLabel":"string"},{"type":"null","title":"Discount Amount","description":"Amount of discount applied to the transaction. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: `\"100\"` would be 100 cents or $1.00 in a USD transaction.","example":"100","uniqueKey":"discount_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"discount_amount","typeLabel":"string | null"},"vendor_discount_amount":{"oneOf":[{"type":"string","title":"Vendor Discount Amount","description":"Amount of discount applied to the vendor in the transaction. Most of the time, you should use the `discount_amount` field instead. Unlike `discount_amount`, this discount is funded by the vendor and typically does not reduce the taxable base of the transaction. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: `\"100\"` would be 100 cents or $1.00 in a USD transaction.","example":"100","uniqueKey":"vendor_discount_amount.oneOf.0","typeLabel":"string"},{"type":"null","title":"Vendor Discount Amount","description":"Amount of discount applied to the vendor in the transaction. Most of the time, you should use the `discount_amount` field instead. Unlike `discount_amount`, this discount is funded by the vendor and typically does not reduce the taxable base of the transaction. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: `\"100\"` would be 100 cents or $1.00 in a USD transaction.","example":"100","uniqueKey":"vendor_discount_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_discount_amount","typeLabel":"string | null"},"transaction_date":{"type":"string","format":"date-time","title":"Transaction Date","description":"Date and time for the tax calculation. Timezone is required for better accuracy. Use the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. e.g: `2024-03-15T12:00:00Z`. If not provided, the current UTC date and time will be used.","examples":["2024-03-15T12:00:00Z"],"uniqueKey":"transaction_date","typeLabel":"string\u003cdate-time>"},"line_items":{"oneOf":[{"type":"array","items":{"properties":{"quantity":{"type":"string","title":"Quantity","description":"Quantity of items. Decimal string to allow fractional quantities. Fractional quantities allow to express quantities like 1.5 liters.e.g: `\"1\"`, `\"1.5\"`, `\"0.75\"`","examples":["1","1.5"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].quantity","typeLabel":"string"},"unit_price":{"type":"string","title":"Unit Price","description":"The price per unit of the item. Decimal value expressed as a string in order to support fractional values. `'1.0'` or `'1'` will result to `1.0`. (For example you can express a cost of $0.0000001/min as '0.0001' cents per minute) \nThe price is always expressed in the currency of the transaction. Unit prices are expressed in denominations of the smallest unit of the currency, such as cents for USD. e.g: `'100'` is equivalent to `$1.00` ","examples":["100","1002"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].unit_price","typeLabel":"string"},"customer":{"oneOf":[{"type":"object","title":"CustomerData","description":"Customer details for the line item. E.g: `{'address': {'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}, 'preset': {'id': 'cust_123', 'source': 'stripe'}}`","properties":{"address":{"oneOf":[{"type":"object","title":"LocationInput","description":"The address of the customer.","properties":{"line1":{"oneOf":[{"type":"string","title":"Line1","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","title":"City","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"latitude":{"oneOf":[{"type":"number","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.latitude.oneOf.0","typeLabel":"number"},{"type":"string","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.latitude.oneOf.1","typeLabel":"string"},{"type":"null","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.latitude.oneOf.2","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.latitude","typeLabel":"number | string | null"},"longitude":{"oneOf":[{"type":"number","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.longitude.oneOf.0","typeLabel":"number"},{"type":"string","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.longitude.oneOf.1","typeLabel":"string"},{"type":"null","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.longitude.oneOf.2","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0.longitude","typeLabel":"number | string | null"}},"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.0","typeLabel":"LocationInput · object"},{"type":"null","description":"The address of the customer.","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.address","typeLabel":"LocationInput · object | null"},"preset":{"oneOf":[{"type":"object","title":"Preset","description":"Names a customer Taxwire already has, by the `source_id` (as `id`), `source` and `source_account_id` it was synced or [created](https://apidocs.taxwire.com/api-reference/customers/create) with. The customer's exemptions then apply to the line. Send `source_account_id` whenever your organization has more than one account on the platform: without it, an id held in several accounts matches no customer and the line is taxed. See the [Presets](https://apidocs.taxwire.com/api-reference/guides/presets) and [Customer exemptions](https://apidocs.taxwire.com/api-reference/guides/exemptions) guides.","required":["id"],"example":{"id":"cust_456","source":"taxwire"},"properties":{"id":{"type":"string","title":"Id","description":"Unique identifier for the tax preset from the source","examples":["prd_123"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.preset.oneOf.0.id","typeLabel":"string"},"source":{"type":"string","enum":["business_central","campfire","chargebee","maxio","measure","monetizenow","netsuite","quickbooks","rillet","salesbricks","shopify","stripe","taxwire","xero"],"title":"Source","description":"Source of the tax preset","default":"taxwire","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.preset.oneOf.0.source","typeLabel":"enum\u003cstring>"},"source_account_id":{"oneOf":[{"type":"string","title":"Source Account Id","description":"Account/tenant on the source platform the preset id belongs to (e.g. a QuickBooks realm ID). Optional; disambiguates platforms where an org has multiple connected accounts and the same id can exist under each.","example":"9341453907696640","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.preset.oneOf.0.source_account_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Source Account Id","description":"Account/tenant on the source platform the preset id belongs to (e.g. a QuickBooks realm ID). Optional; disambiguates platforms where an org has multiple connected accounts and the same id can exist under each.","example":"9341453907696640","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.preset.oneOf.0.source_account_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.preset.oneOf.0.source_account_id","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.preset.oneOf.0","typeLabel":"Preset · object"},{"type":"null","description":"Names a customer Taxwire already has, by the `source_id` (as `id`), `source` and `source_account_id` it was synced or [created](https://apidocs.taxwire.com/api-reference/customers/create) with. The customer's exemptions then apply to the line. Send `source_account_id` whenever your organization has more than one account on the platform: without it, an id held in several accounts matches no customer and the line is taxed. See the [Presets](https://apidocs.taxwire.com/api-reference/guides/presets) and [Customer exemptions](https://apidocs.taxwire.com/api-reference/guides/exemptions) guides.","example":{"id":"cust_456","source":"taxwire"},"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.preset.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.preset","typeLabel":"Preset · object | null"},"tax_attributes":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_attributes.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Tax Attributes","description":"🏗️ **Coming soon** 🏗️ \nTax attributes adding tax context for the customer. e.g: `['B2B']`\n\n See the [Tax Attributes](https://taxwire.mintlify.app/api-reference/guides/tax_attributes) for more details.","maxItems":64,"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_attributes.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Tax Attributes","description":"🏗️ **Coming soon** 🏗️ \nTax attributes adding tax context for the customer. e.g: `['B2B']`\n\n See the [Tax Attributes](https://taxwire.mintlify.app/api-reference/guides/tax_attributes) for more details.","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_attributes.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_attributes","typeLabel":"string[] | null"},"tax_ids":{"oneOf":[{"type":"array","items":{"properties":{"value":{"type":"string","title":"Value","description":"The value of the tax ID.","examples":["DE123456789"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.0.items.[INDEX].value","typeLabel":"string"},"type":{"oneOf":[{"type":"string","title":"TaxIdType","description":"Type of the tax ID.","enum":["au_abn","au_arn","ca_gst","ca_pst","ca_qst","eu_vat","eu_oss_vat","gb_vat","us_ein"],"example":"eu_vat","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.0.items.[INDEX].type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Type of the tax ID.","example":"eu_vat","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.0.items.[INDEX].type.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.0.items.[INDEX].type","typeLabel":"enum\u003cstring> | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"Optional ISO 3166-1 alpha-2 country code associated with the tax ID. ","example":"DE","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.0.items.[INDEX].country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"Optional ISO 3166-1 alpha-2 country code associated with the tax ID. ","example":"DE","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.0.items.[INDEX].country.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.0.items.[INDEX].country","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["value"],"title":"TaxId","description":"","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.0.items.[INDEX]","typeLabel":"TaxId · object"},"title":"Tax Ids","description":"Tax IDs associated with the customer. Used for purposes like applying VAT exemptions or the reverse charge mechanism.\ne.g: `[{'type': 'eu_vat', 'value': 'DE123456789', 'country': 'DE'}]`","maxItems":10,"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.0","typeLabel":"TaxId · object[]"},{"type":"null","title":"Tax Ids","description":"Tax IDs associated with the customer. Used for purposes like applying VAT exemptions or the reverse charge mechanism.\ne.g: `[{'type': 'eu_vat', 'value': 'DE123456789', 'country': 'DE'}]`","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0.tax_ids","typeLabel":"TaxId · object[] | null"}},"additionalProperties":false,"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.0","typeLabel":"CustomerData · object"},{"type":"null","description":"Customer details for the line item. E.g: `{'address': {'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}, 'preset': {'id': 'cust_123', 'source': 'stripe'}}`","uniqueKey":"line_items.oneOf.0.items.[INDEX].customer.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].customer","typeLabel":"CustomerData · object | null"},"fulfillment":{"oneOf":[{"type":"object","title":"FulfillmentData","description":"Fulfillment details for the line item. E.g: `{'address': {'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}, 'preset': {'id': 'ful_123', 'source': 'taxwire'}}`","properties":{"address":{"oneOf":[{"type":"object","title":"LocationInput","description":"The address of the fulfillment.","properties":{"line1":{"oneOf":[{"type":"string","title":"Line1","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","title":"City","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"latitude":{"oneOf":[{"type":"number","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.latitude.oneOf.0","typeLabel":"number"},{"type":"string","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.latitude.oneOf.1","typeLabel":"string"},{"type":"null","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.latitude.oneOf.2","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.latitude","typeLabel":"number | string | null"},"longitude":{"oneOf":[{"type":"number","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.longitude.oneOf.0","typeLabel":"number"},{"type":"string","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.longitude.oneOf.1","typeLabel":"string"},{"type":"null","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.longitude.oneOf.2","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0.longitude","typeLabel":"number | string | null"}},"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.0","typeLabel":"LocationInput · object"},{"type":"null","description":"The address of the fulfillment.","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.address","typeLabel":"LocationInput · object | null"},"tax_attributes":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.tax_attributes.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Tax Attributes","description":"Tax attributes adding tax context for the fulfillment. e.g: `['MARKETPLACE']` to mark the line as marketplace-facilitated.When `MARKETPLACE` is present the seller-side tax engine produces zero tax for the line and the transaction is excluded from economic-nexus thresholds in jurisdictions with `excludes_marketplace_facilitator`. The API accepts this flag at face value without further validation; the consumer is responsible for asserting it correctly \n\n See the [Tax Attributes](https://taxwire.mintlify.app/api-reference/guides/tax_attributes) for more details.","maxItems":64,"example":["MARKETPLACE"],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.tax_attributes.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Tax Attributes","description":"Tax attributes adding tax context for the fulfillment. e.g: `['MARKETPLACE']` to mark the line as marketplace-facilitated.When `MARKETPLACE` is present the seller-side tax engine produces zero tax for the line and the transaction is excluded from economic-nexus thresholds in jurisdictions with `excludes_marketplace_facilitator`. The API accepts this flag at face value without further validation; the consumer is responsible for asserting it correctly \n\n See the [Tax Attributes](https://taxwire.mintlify.app/api-reference/guides/tax_attributes) for more details.","example":["MARKETPLACE"],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.tax_attributes.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.tax_attributes","typeLabel":"string[] | null"},"preset":{"oneOf":[{"type":"object","title":"Preset","description":"🏗️ **Coming soon** 🏗️ \nThe preset for the fulfillment. e.g: `{'id': 'ful_123', 'source': 'taxwire'}`\nA preset can contain tax attributes and a default addressthat will be used to calculate the tax for the fulfillment.","required":["id"],"example":{"id":"ful_123","source":"taxwire"},"properties":{"id":{"type":"string","title":"Id","description":"Unique identifier for the tax preset from the source","examples":["prd_123"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.preset.oneOf.0.id","typeLabel":"string"},"source":{"type":"string","enum":["business_central","campfire","chargebee","maxio","measure","monetizenow","netsuite","quickbooks","rillet","salesbricks","shopify","stripe","taxwire","xero"],"title":"Source","description":"Source of the tax preset","default":"taxwire","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.preset.oneOf.0.source","typeLabel":"enum\u003cstring>"},"source_account_id":{"oneOf":[{"type":"string","title":"Source Account Id","description":"Account/tenant on the source platform the preset id belongs to (e.g. a QuickBooks realm ID). Optional; disambiguates platforms where an org has multiple connected accounts and the same id can exist under each.","example":"9341453907696640","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.preset.oneOf.0.source_account_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Source Account Id","description":"Account/tenant on the source platform the preset id belongs to (e.g. a QuickBooks realm ID). Optional; disambiguates platforms where an org has multiple connected accounts and the same id can exist under each.","example":"9341453907696640","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.preset.oneOf.0.source_account_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.preset.oneOf.0.source_account_id","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.preset.oneOf.0","typeLabel":"Preset · object"},{"type":"null","description":"🏗️ **Coming soon** 🏗️ \nThe preset for the fulfillment. e.g: `{'id': 'ful_123', 'source': 'taxwire'}`\nA preset can contain tax attributes and a default addressthat will be used to calculate the tax for the fulfillment.","example":{"id":"ful_123","source":"taxwire"},"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.preset.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0.preset","typeLabel":"Preset · object | null"}},"additionalProperties":false,"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.0","typeLabel":"FulfillmentData · object"},{"type":"null","description":"Fulfillment details for the line item. E.g: `{'address': {'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}, 'preset': {'id': 'ful_123', 'source': 'taxwire'}}`","uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].fulfillment","typeLabel":"FulfillmentData · object | null"},"id":{"type":"string","minLength":1,"title":"Id","description":"Unique identifier for the line item, within the invoice / transaction. If not provided, an ID will be generated.","examples":["item_123"],"uniqueKey":"line_items.oneOf.0.items.[INDEX].id","typeLabel":"string"},"product":{"oneOf":[{"type":"object","title":"ProductData","description":"Product details for the line item. E.g: `{'address': {'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}, 'tax_attributes': ['DIGITAL_PROPERTY.DIGITAL_SOFTWARE._DOWNLOADED']}`","properties":{"address":{"oneOf":[{"type":"object","title":"LocationInput","description":"The address of the product. Based on the type of good or service, it could be the service, lodging, property or the use location.e.g: `{'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}`","properties":{"line1":{"oneOf":[{"type":"string","title":"Line1","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","title":"City","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"latitude":{"oneOf":[{"type":"number","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.latitude.oneOf.0","typeLabel":"number"},{"type":"string","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.latitude.oneOf.1","typeLabel":"string"},{"type":"null","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.latitude.oneOf.2","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.latitude","typeLabel":"number | string | null"},"longitude":{"oneOf":[{"type":"number","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.longitude.oneOf.0","typeLabel":"number"},{"type":"string","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.longitude.oneOf.1","typeLabel":"string"},{"type":"null","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.longitude.oneOf.2","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0.longitude","typeLabel":"number | string | null"}},"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.0","typeLabel":"LocationInput · object"},{"type":"null","description":"The address of the product. Based on the type of good or service, it could be the service, lodging, property or the use location.e.g: `{'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}`","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.address","typeLabel":"LocationInput · object | null"},"tax_attributes":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.tax_attributes.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Tax Attributes","description":"Tax attributes adding tax context for the product. e.g: `['DIGITAL_PROPERTY.DIGITAL_SOFTWARE._DOWNLOADED']`\n\n See the [Tax Attributes](https://taxwire.mintlify.app/api-reference/guides/tax_attributes) for more details.","maxItems":64,"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.tax_attributes.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Tax Attributes","description":"Tax attributes adding tax context for the product. e.g: `['DIGITAL_PROPERTY.DIGITAL_SOFTWARE._DOWNLOADED']`\n\n See the [Tax Attributes](https://taxwire.mintlify.app/api-reference/guides/tax_attributes) for more details.","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.tax_attributes.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.tax_attributes","typeLabel":"string[] | null"},"preset":{"oneOf":[{"type":"object","title":"Preset","description":"The preset for the product. e.g: `{'id': 'prod_123', 'source': 'taxwire'}`\nA preset can contain tax attributes and a default addressthat will be used to calculate the tax for the product.","required":["id"],"example":{"id":"prod_123","source":"taxwire"},"properties":{"id":{"type":"string","title":"Id","description":"Unique identifier for the tax preset from the source","examples":["prd_123"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.preset.oneOf.0.id","typeLabel":"string"},"source":{"type":"string","enum":["business_central","campfire","chargebee","maxio","measure","monetizenow","netsuite","quickbooks","rillet","salesbricks","shopify","stripe","taxwire","xero"],"title":"Source","description":"Source of the tax preset","default":"taxwire","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.preset.oneOf.0.source","typeLabel":"enum\u003cstring>"},"source_account_id":{"oneOf":[{"type":"string","title":"Source Account Id","description":"Account/tenant on the source platform the preset id belongs to (e.g. a QuickBooks realm ID). Optional; disambiguates platforms where an org has multiple connected accounts and the same id can exist under each.","example":"9341453907696640","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.preset.oneOf.0.source_account_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Source Account Id","description":"Account/tenant on the source platform the preset id belongs to (e.g. a QuickBooks realm ID). Optional; disambiguates platforms where an org has multiple connected accounts and the same id can exist under each.","example":"9341453907696640","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.preset.oneOf.0.source_account_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.preset.oneOf.0.source_account_id","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.preset.oneOf.0","typeLabel":"Preset · object"},{"type":"null","description":"The preset for the product. e.g: `{'id': 'prod_123', 'source': 'taxwire'}`\nA preset can contain tax attributes and a default addressthat will be used to calculate the tax for the product.","example":{"id":"prod_123","source":"taxwire"},"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.preset.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0.preset","typeLabel":"Preset · object | null"}},"additionalProperties":false,"uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.0","typeLabel":"ProductData · object"},{"type":"null","description":"Product details for the line item. E.g: `{'address': {'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}, 'tax_attributes': ['DIGITAL_PROPERTY.DIGITAL_SOFTWARE._DOWNLOADED']}`","uniqueKey":"line_items.oneOf.0.items.[INDEX].product.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].product","typeLabel":"ProductData · object | null"},"seller":{"oneOf":[{"type":"object","title":"SellerData","description":"Seller details for the line item. E.g: `{'address': {'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}, 'preset': {'id': 'org_123', 'source': 'taxwire'}}`","properties":{"address":{"oneOf":[{"type":"object","title":"LocationInput","description":"The address of the seller. It could also be the supply location.e.g: `{'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}`","properties":{"line1":{"oneOf":[{"type":"string","title":"Line1","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","title":"City","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"latitude":{"oneOf":[{"type":"number","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.latitude.oneOf.0","typeLabel":"number"},{"type":"string","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.latitude.oneOf.1","typeLabel":"string"},{"type":"null","title":"Latitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.latitude.oneOf.2","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.latitude","typeLabel":"number | string | null"},"longitude":{"oneOf":[{"type":"number","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.longitude.oneOf.0","typeLabel":"number"},{"type":"string","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.longitude.oneOf.1","typeLabel":"string"},{"type":"null","title":"Longitude","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.longitude.oneOf.2","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0.longitude","typeLabel":"number | string | null"}},"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.0","typeLabel":"LocationInput · object"},{"type":"null","description":"The address of the seller. It could also be the supply location.e.g: `{'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}`","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.address","typeLabel":"LocationInput · object | null"},"tax_attributes":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_attributes.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Tax Attributes","description":"🏗️ **Coming soon** 🏗️ \nTax attributes adding tax context for the seller. e.g: `['B2B']`\n\n See the [Tax Attributes](https://taxwire.mintlify.app/api-reference/guides/tax_attributes) for more details.","maxItems":64,"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_attributes.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Tax Attributes","description":"🏗️ **Coming soon** 🏗️ \nTax attributes adding tax context for the seller. e.g: `['B2B']`\n\n See the [Tax Attributes](https://taxwire.mintlify.app/api-reference/guides/tax_attributes) for more details.","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_attributes.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_attributes","typeLabel":"string[] | null"},"preset":{"oneOf":[{"type":"object","title":"Preset","description":"🏗️ **Coming soon** 🏗️ \nThe preset for the seller. e.g: `{'id': 'org_123', 'source': 'taxwire'}`\nA preset can contain tax attributes and a default addressthat will be used to calculate the tax for the seller.","required":["id"],"example":{"id":"org_123","source":"taxwire"},"properties":{"id":{"type":"string","title":"Id","description":"Unique identifier for the tax preset from the source","examples":["prd_123"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.preset.oneOf.0.id","typeLabel":"string"},"source":{"type":"string","enum":["business_central","campfire","chargebee","maxio","measure","monetizenow","netsuite","quickbooks","rillet","salesbricks","shopify","stripe","taxwire","xero"],"title":"Source","description":"Source of the tax preset","default":"taxwire","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.preset.oneOf.0.source","typeLabel":"enum\u003cstring>"},"source_account_id":{"oneOf":[{"type":"string","title":"Source Account Id","description":"Account/tenant on the source platform the preset id belongs to (e.g. a QuickBooks realm ID). Optional; disambiguates platforms where an org has multiple connected accounts and the same id can exist under each.","example":"9341453907696640","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.preset.oneOf.0.source_account_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Source Account Id","description":"Account/tenant on the source platform the preset id belongs to (e.g. a QuickBooks realm ID). Optional; disambiguates platforms where an org has multiple connected accounts and the same id can exist under each.","example":"9341453907696640","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.preset.oneOf.0.source_account_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.preset.oneOf.0.source_account_id","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.preset.oneOf.0","typeLabel":"Preset · object"},{"type":"null","description":"🏗️ **Coming soon** 🏗️ \nThe preset for the seller. e.g: `{'id': 'org_123', 'source': 'taxwire'}`\nA preset can contain tax attributes and a default addressthat will be used to calculate the tax for the seller.","example":{"id":"org_123","source":"taxwire"},"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.preset.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.preset","typeLabel":"Preset · object | null"},"tax_ids":{"oneOf":[{"type":"array","items":{"properties":{"value":{"type":"string","title":"Value","description":"The value of the tax ID.","examples":["DE123456789"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.0.items.[INDEX].value","typeLabel":"string"},"type":{"oneOf":[{"type":"string","title":"TaxIdType","description":"Type of the tax ID.","enum":["au_abn","au_arn","ca_gst","ca_pst","ca_qst","eu_vat","eu_oss_vat","gb_vat","us_ein"],"example":"eu_vat","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.0.items.[INDEX].type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Type of the tax ID.","example":"eu_vat","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.0.items.[INDEX].type.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.0.items.[INDEX].type","typeLabel":"enum\u003cstring> | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"Optional ISO 3166-1 alpha-2 country code associated with the tax ID. ","example":"DE","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.0.items.[INDEX].country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"Optional ISO 3166-1 alpha-2 country code associated with the tax ID. ","example":"DE","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.0.items.[INDEX].country.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.0.items.[INDEX].country","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["value"],"title":"TaxId","description":"","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.0.items.[INDEX]","typeLabel":"TaxId · object"},"title":"Tax Ids","description":"Tax IDs associated with the seller. Used for purposes like applying VAT exemptions or the reverse charge mechanism.\ne.g: `[{'type': 'eu_vat', 'value': 'DE123456789', 'country': 'DE'}]`","maxItems":10,"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.0","typeLabel":"TaxId · object[]"},{"type":"null","title":"Tax Ids","description":"Tax IDs associated with the seller. Used for purposes like applying VAT exemptions or the reverse charge mechanism.\ne.g: `[{'type': 'eu_vat', 'value': 'DE123456789', 'country': 'DE'}]`","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0.tax_ids","typeLabel":"TaxId · object[] | null"}},"additionalProperties":false,"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.0","typeLabel":"SellerData · object"},{"type":"null","description":"Seller details for the line item. E.g: `{'address': {'line1': '123 Main St', 'city': 'Anytown', 'state': 'CA', 'postal_code': '12345'}, 'preset': {'id': 'org_123', 'source': 'taxwire'}}`","uniqueKey":"line_items.oneOf.0.items.[INDEX].seller.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].seller","typeLabel":"SellerData · object | null"},"discount_amount":{"oneOf":[{"type":"string","title":"Discount Amount","description":"Amount of discount applied to the line item. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: `\"100\"` would be 100 cents or $1.00 in a USD transaction.","example":"100","uniqueKey":"line_items.oneOf.0.items.[INDEX].discount_amount.oneOf.0","typeLabel":"string"},{"type":"null","title":"Discount Amount","description":"Amount of discount applied to the line item. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: `\"100\"` would be 100 cents or $1.00 in a USD transaction.","example":"100","uniqueKey":"line_items.oneOf.0.items.[INDEX].discount_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].discount_amount","typeLabel":"string | null"},"vendor_discount_amount":{"oneOf":[{"type":"string","title":"Vendor Discount Amount","description":"Amount of discount applied to the vendor of the line item. Most of the time, you should use the `discount_amount` field instead. Unlike `discount_amount`, this discount is funded by the vendor and typically does not reduce the taxable base of the line item. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: `\"100\"` would be 100 cents or $1.00 in a USD transaction.","example":"100","uniqueKey":"line_items.oneOf.0.items.[INDEX].vendor_discount_amount.oneOf.0","typeLabel":"string"},{"type":"null","title":"Vendor Discount Amount","description":"Amount of discount applied to the vendor of the line item. Most of the time, you should use the `discount_amount` field instead. Unlike `discount_amount`, this discount is funded by the vendor and typically does not reduce the taxable base of the line item. Amount is expressed in the currency of the transaction and in denominations of the smallest unit of the currency, such as cents for USD. e.g: `\"100\"` would be 100 cents or $1.00 in a USD transaction.","example":"100","uniqueKey":"line_items.oneOf.0.items.[INDEX].vendor_discount_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].vendor_discount_amount","typeLabel":"string | null"},"discounts":{"oneOf":[{"type":"array","items":{"properties":{"id":{"type":"string","minLength":1,"title":"Id","description":"Unique identifier for the discount. Must be unique across all line items in the transaction.","examples":["disc_123"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].discounts.oneOf.0.items.[INDEX].id","typeLabel":"string"},"amount":{"type":"string","title":"Amount","description":"Amount of the discount. Expressed in the smallest unit of currency. e.g: `\"100\"` would be 100 cents or $1.00 in a USD transaction.","examples":["100","50"],"isRequired":true,"uniqueKey":"line_items.oneOf.0.items.[INDEX].discounts.oneOf.0.items.[INDEX].amount","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["id","amount"],"title":"LineItemDiscount","description":"A discount applied to a line item.","uniqueKey":"line_items.oneOf.0.items.[INDEX].discounts.oneOf.0.items.[INDEX]","typeLabel":"LineItemDiscount · object"},"title":"Discounts","description":"List of individual discounts applied to the line item. Cannot be used together with `discount_amount`. Each discount must have a unique `id` and an `amount`.","example":[{"amount":"40","id":"1/discount/1"},{"amount":"10","id":"1/discount/2"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].discounts.oneOf.0","typeLabel":"LineItemDiscount · object[]"},{"type":"null","title":"Discounts","description":"List of individual discounts applied to the line item. Cannot be used together with `discount_amount`. Each discount must have a unique `id` and an `amount`.","example":[{"amount":"40","id":"1/discount/1"},{"amount":"10","id":"1/discount/2"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].discounts.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.oneOf.0.items.[INDEX].discounts","typeLabel":"LineItemDiscount · object[] | null"}},"additionalProperties":false,"type":"object","required":["quantity","unit_price"],"title":"LineItem","description":"A LineItem represents an individual item in an invoice or a transaction.","uniqueKey":"line_items.oneOf.0.items.[INDEX]","typeLabel":"LineItem · object"},"title":"Line Items","description":"List of line items for an invoice or transaction. Required for sale transactions, optional for credits. A credit transaction without line_items will be assumed to be a full refund of the invoice.","example":[{"customer":{"address":{"city":"Anytown","line1":"123 Main St","postal_code":"12345","state":"CA"},"tax_ids":[{"country":"DE","type":"eu_vat","value":"DE123456789"}]},"id":"item_123","product":{"tax_attributes":["DIGITAL_PROPERTY.DIGITAL_SOFTWARE._DOWNLOADED"]},"quantity":"1","unit_price":"100"}],"uniqueKey":"line_items.oneOf.0","typeLabel":"LineItem · object[]"},{"type":"null","title":"Line Items","description":"List of line items for an invoice or transaction. Required for sale transactions, optional for credits. A credit transaction without line_items will be assumed to be a full refund of the invoice.","example":[{"customer":{"address":{"city":"Anytown","line1":"123 Main St","postal_code":"12345","state":"CA"},"tax_ids":[{"country":"DE","type":"eu_vat","value":"DE123456789"}]},"id":"item_123","product":{"tax_attributes":["DIGITAL_PROPERTY.DIGITAL_SOFTWARE._DOWNLOADED"]},"quantity":"1","unit_price":"100"}],"uniqueKey":"line_items.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items","typeLabel":"LineItem · object[] | null"}},"additionalProperties":false,"type":"object","title":"CreateCalculationRequest","description":"Create calculation request model.","uniqueKey":"","typeLabel":"CreateCalculationRequest · object"},"examples":{"Example":{"title":"Example","value":{"currency":"USD","discount_amount":"100","vendor_discount_amount":"100","transaction_date":"2024-03-15T12:00:00Z","line_items":[{"customer":{"address":{"city":"Anytown","line1":"123 Main St","postal_code":"12345","state":"CA"},"tax_ids":[{"country":"DE","type":"eu_vat","value":"DE123456789"}]},"id":"item_123","product":{"tax_attributes":["DIGITAL_PROPERTY.DIGITAL_SOFTWARE._DOWNLOADED"]},"quantity":"1","unit_price":"100"}]}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"7915c37b-e46e-44cc-87b5-a8b867f4ec15":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"tax_amount":{"type":"string","title":"Tax Amount","description":"Total tax amount due, expressed in the smallest unit of currency for the invoice.e.g: `\"2999\"`, which for a USD invoice means $29.99","examples":["2999"],"isRequired":true,"uniqueKey":"tax_amount","typeLabel":"string"},"line_items":{"items":{"properties":{"id":{"type":"string","title":"Id","description":"Line item ID","isRequired":true,"uniqueKey":"line_items.items.[INDEX].id","typeLabel":"string"},"tax_amount":{"type":"string","title":"Tax Amount","description":"Total tax amount","isRequired":true,"uniqueKey":"line_items.items.[INDEX].tax_amount","typeLabel":"string"},"taxes":{"items":{"properties":{"detail":{"oneOf":[{"type":"string","title":"Detail","description":"Name of the tax calculation","example":"County Transportation Fund","isRequired":true,"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"Name of the tax calculation","example":"County Transportation Fund","isRequired":true,"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].detail.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].detail","typeLabel":"string | null"},"jurisdiction_name":{"type":"string","title":"Jurisdiction Name","description":"Name of the tax jurisdiction","examples":["California"],"isRequired":true,"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].jurisdiction_name","typeLabel":"string"},"jurisdiction_type":{"type":"string","title":"Jurisdiction Type","description":"Type of jurisdiction (e.g., state, county, city)","examples":["state"],"isRequired":true,"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].jurisdiction_type","typeLabel":"string"},"tax_amount":{"type":"string","title":"Tax Amount","description":"Amount of tax due in the transaction currency. Expressed as a decimal value to capture fractional amounts. Amount is expressed in denominations of the smallest unit of the currency, such as cents for USD. e.g: `\"134\"` would be 134 cents or 1.34 dollars in a USD transaction","examples":["10","1.03"],"isRequired":true,"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].tax_amount","typeLabel":"string"},"tax_type":{"type":"string","title":"Tax Type","description":"Type of tax imposition","examples":["California District Transaction Tax"],"isRequired":true,"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].tax_type","typeLabel":"string"},"is_registered":{"type":"boolean","title":"Is Registered","description":"Whether the tax is in a registered jurisdiction","examples":[true,false],"isRequired":true,"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].is_registered","typeLabel":"boolean"},"rule_name":{"oneOf":[{"type":"string","title":"Rule Name","description":"Name of the tax rule applied","example":"Clothing taxability rule","uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].rule_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Rule Name","description":"Name of the tax rule applied","example":"Clothing taxability rule","uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].rule_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].rule_name","typeLabel":"string | null"},"taxable_base":{"type":"string","title":"Taxable Base","description":"Base amount of the tax","default":"0","examples":["100","100.00"],"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].taxable_base","typeLabel":"string"},"tax_rate":{"type":"string","title":"Tax Rate","description":"Rate of tax applied","default":"0","examples":["0.05","1.03"],"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].tax_rate","typeLabel":"string"},"rate_type":{"type":"string","enum":["percentage","flat_amount"],"title":"Rate Type","description":"How this tax is charged. `percentage` is a share of the price, so `tax_rate` is the rate applied to `taxable_base`. `flat_amount` is a fixed amount per unit: `tax_rate` is the amount divided by the unit price and `taxable_base` is the quantity, so neither reads as a percentage rate.","default":"percentage","examples":["percentage","flat_amount"],"uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX].rate_type","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"type":"object","required":["detail","jurisdiction_name","jurisdiction_type","tax_amount","tax_type","is_registered"],"title":"TaxItem","description":"TaxItems contain detailed tax calculation data.","uniqueKey":"line_items.items.[INDEX].taxes.items.[INDEX]","typeLabel":"TaxItem · object"},"type":"array","title":"Taxes","description":"List of tax items","isRequired":true,"uniqueKey":"line_items.items.[INDEX].taxes","typeLabel":"TaxItem · object[]"},"tax_amount_before_discounts":{"oneOf":[{"type":"string","title":"Tax Amount Before Discounts","description":"Tax amount before discount taxes are applied. Equal to tax_amount - sum of all discount tax_amounts. Only present when discounts are applied.","uniqueKey":"line_items.items.[INDEX].tax_amount_before_discounts.oneOf.0","typeLabel":"string"},{"type":"null","title":"Tax Amount Before Discounts","description":"Tax amount before discount taxes are applied. Equal to tax_amount - sum of all discount tax_amounts. Only present when discounts are applied.","uniqueKey":"line_items.items.[INDEX].tax_amount_before_discounts.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.items.[INDEX].tax_amount_before_discounts","typeLabel":"string | null"},"discounts":{"oneOf":[{"type":"array","items":{"properties":{"id":{"type":"string","title":"Id","description":"Identifier for the discount. A discount named in `discounts` keeps its `id`. One sent as an amount is named for its field: `\u003cline item id>:discount_amount` or `\u003cline item id>:vendor_discount_amount` on a line item, `discount_amount` or `vendor_discount_amount` on the transaction. A transaction calculated before these names were introduced, or an amount discount whose name the caller already used in `discounts`, has an engine-assigned `d_\u003cn>`.","examples":["disc_123","item_123:discount_amount"],"isRequired":true,"uniqueKey":"line_items.items.[INDEX].discounts.oneOf.0.items.[INDEX].id","typeLabel":"string"},"tax_amount_reduction":{"type":"string","title":"Tax Amount Reduction","description":"Tax amount reduced by this discount. Expressed in the smallest unit of currency.","examples":["400","100"],"isRequired":true,"uniqueKey":"line_items.items.[INDEX].discounts.oneOf.0.items.[INDEX].tax_amount_reduction","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["id","tax_amount_reduction"],"title":"LineItemDiscountTaxes","description":"Tax details for a discount on a line item.","uniqueKey":"line_items.items.[INDEX].discounts.oneOf.0.items.[INDEX]","typeLabel":"LineItemDiscountTaxes · object"},"title":"Discounts","description":"List of tax amounts for each discount.","uniqueKey":"line_items.items.[INDEX].discounts.oneOf.0","typeLabel":"LineItemDiscountTaxes · object[]"},{"type":"null","title":"Discounts","description":"List of tax amounts for each discount.","uniqueKey":"line_items.items.[INDEX].discounts.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.items.[INDEX].discounts","typeLabel":"LineItemDiscountTaxes · object[] | null"}},"additionalProperties":false,"type":"object","required":["id","tax_amount","taxes"],"title":"LineItemTaxes","description":"Line item taxes model.","uniqueKey":"line_items.items.[INDEX]","typeLabel":"LineItemTaxes · object"},"type":"array","title":"Line Items","description":"List of line items for the invoice","isRequired":true,"uniqueKey":"line_items","typeLabel":"LineItemTaxes · object[]"},"currency":{"type":"string","maxLength":3,"minLength":3,"title":"Currency","description":"Three-letter currency code. Values are limited to valid ISO 4217 currency codes. e.g: `USD`","default":"USD","examples":["USD"],"uniqueKey":"currency","typeLabel":"string"}},"type":"object","required":["tax_amount","line_items"],"title":"CreateCalculationResponse","description":"Response model containing the calculated tax details for an invoice.","uniqueKey":"","typeLabel":"CreateCalculationResponse · object"},"examples":{"Example":{"title":"Example","value":{"tax_amount":"2999","line_items":[{"id":"\u003cstring>","tax_amount":"\u003cstring>","taxes":[{"detail":"County Transportation Fund","jurisdiction_name":"California","jurisdiction_type":"state","tax_amount":"10","tax_type":"California District Transaction Tax","is_registered":true,"rule_name":"Clothing taxability rule","taxable_base":"100","tax_rate":"0.05","rate_type":"percentage"}],"tax_amount_before_discounts":"\u003cstring>","discounts":[{"id":"disc_123","tax_amount_reduction":"400"}]}],"currency":"USD"}}},"exampleType":"generated"}},"exampleType":"generated"},"8292a209-0a4f-47e0-8681-4df029e2ac5c":{"description":"A product preset omitted source_account_id and its id is held by more than one connected account. The error's meta.candidates lists each (source_account_id, product_id); resend with source_account_id.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"329cee3c-bbaf-41c9-9df1-bc1e4ef7d89a":{"description":"Validation Error - Invalid input data","content":{"application/json":{"schema":{"properties":{"errors":{"items":{"properties":{"status":{"type":"string","title":"Status","isRequired":true,"uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"type":"string","title":"Code","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","title":"Title","isRequired":true,"uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","title":"Detail","isRequired":true,"uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","title":"ErrorSource","description":"Identifies the source of the error, e.g., via a JSON Pointer.","properties":{"pointer":{"oneOf":[{"type":"string","title":"Pointer","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer.oneOf.0","typeLabel":"string"},{"type":"null","title":"Pointer","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string | null"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"ErrorSource · object"},{"type":"null","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object | null"},"meta":{"oneOf":[{"type":"object","title":"Meta","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"Meta · object"},{"type":"null","title":"Meta","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"Meta · object | null"}},"type":"object","required":["status","code","title","detail"],"title":"Error","description":"Individual JSON:API error object.","uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"type":"array","title":"Errors","isRequired":true,"uniqueKey":"errors","typeLabel":"Error · object[]"}},"type":"object","required":["errors"],"title":"ErrorResponse","description":"Standardized JSON:API error response model.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"example":{"errors":[{"status":"422","code":"validation_required_field","title":"Missing quantity","detail":"Please provide a value for the required quantity field","source":{"pointer":"/data/attributes/line_items/0/quantity"}}]},"examples":{"Example":{"title":"Example","value":{"errors":[{"status":"422","code":"validation_required_field","title":"Missing quantity","detail":"Please provide a value for the required quantity field","source":{"pointer":"/data/attributes/line_items/0/quantity"}}]}}},"exampleType":"examples"}},"exampleType":"examples"},"7f91051c-0634-4367-b6ce-4e71ec70e850":{"description":"Rate limit exceeded. Try again later.","content":{"application/json":{"schema":{"properties":{"errors":{"items":{"properties":{"status":{"type":"string","title":"Status","isRequired":true,"uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"type":"string","title":"Code","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","title":"Title","isRequired":true,"uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","title":"Detail","isRequired":true,"uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","title":"ErrorSource","description":"Identifies the source of the error, e.g., via a JSON Pointer.","properties":{"pointer":{"oneOf":[{"type":"string","title":"Pointer","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer.oneOf.0","typeLabel":"string"},{"type":"null","title":"Pointer","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string | null"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"ErrorSource · object"},{"type":"null","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object | null"},"meta":{"oneOf":[{"type":"object","title":"Meta","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"Meta · object"},{"type":"null","title":"Meta","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"Meta · object | null"}},"type":"object","required":["status","code","title","detail"],"title":"Error","description":"Individual JSON:API error object.","uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"type":"array","title":"Errors","isRequired":true,"uniqueKey":"errors","typeLabel":"Error · object[]"}},"type":"object","required":["errors"],"title":"ErrorResponse","description":"Standardized JSON:API error response model.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"example":{"errors":[{"status":"429","code":"rate_limit_error","title":"Too Many Requests","detail":"Rate limit exceeded"}]},"examples":{"Example":{"title":"Example","value":{"errors":[{"status":"429","code":"rate_limit_error","title":"Too Many Requests","detail":"Rate limit exceeded"}]}}},"exampleType":"examples"}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"Time in seconds until the rate limit resets"},"X-RateLimit-Limit":{"schema":{"type":"string"},"description":"The rate limit ceiling for the given request"},"X-RateLimit-Remaining":{"schema":{"type":"string"},"description":"The number of requests remaining in the time window"}},"exampleType":"examples"},"56818c91-6962-4eed-bb51-47257a7faf5e":{"description":"Internal Server Error","content":{"application/json":{"schema":{"properties":{"errors":{"items":{"properties":{"status":{"type":"string","title":"Status","isRequired":true,"uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"type":"string","title":"Code","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","title":"Title","isRequired":true,"uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","title":"Detail","isRequired":true,"uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","title":"ErrorSource","description":"Identifies the source of the error, e.g., via a JSON Pointer.","properties":{"pointer":{"oneOf":[{"type":"string","title":"Pointer","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer.oneOf.0","typeLabel":"string"},{"type":"null","title":"Pointer","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string | null"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"ErrorSource · object"},{"type":"null","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object | null"},"meta":{"oneOf":[{"type":"object","title":"Meta","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"Meta · object"},{"type":"null","title":"Meta","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"Meta · object | null"}},"type":"object","required":["status","code","title","detail"],"title":"Error","description":"Individual JSON:API error object.","uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"type":"array","title":"Errors","isRequired":true,"uniqueKey":"errors","typeLabel":"Error · object[]"}},"type":"object","required":["errors"],"title":"ErrorResponse","description":"Standardized JSON:API error response model.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"example":{"errors":[{"status":"500","code":"system_internal_error","title":"Internal Error","detail":"An unexpected error occurred. Our team has been notified."}]},"examples":{"Example":{"title":"Example","value":{"errors":[{"status":"500","code":"system_internal_error","title":"Internal Error","detail":"An unexpected error occurred. Our team has been notified."}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"91c3c904-3207-4229-beff-cb88267ddec4":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key","scopes":[],"schemeName":"APIKeyHeader"}},"c4843f78-f24d-453f-aa20-c3862ce4cf76":{"HTTPBearer":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-Key","scopes":[],"schemeName":"APIKeyHeader"},"schema":{"title":"X-API-Key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"APIKeyHeader","name":"X-API-Key"}],"title":"APIKeyHeader"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"taxwire","siteName":"Taxwire Documentation","title":"Tax calculations - Taxwire Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-19T11:23:41.319Z","originalFileLocation":"api-reference/calculations/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint calculates tax for an invoice based on the provided request data. To learn more about how tax is calculated, see the tax calculation guide. It processes the invoice details and returns calculated tax information, including individual tax items and total tax due. - Input: Details about the invoice. - Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction. Raises an HTTPException if there\u0026#x27;s an error processing while the request, translating to a non 200 status code response.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Taxwire Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Tax calculations - Taxwire Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint calculates tax for an invoice based on the provided request data. To learn more about how tax is calculated, see the tax calculation guide. It processes the invoice details and returns calculated tax information, including individual tax items and total tax due. - Input: Details about the invoice. - Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction. Raises an HTTPException if there\u0026#x27;s an error processing while the request, translating to a non 200 status code response.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Taxwire Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidocs.taxwire.com/api-reference/calculations/create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://taxwire.mintlify.site/_mintlify/api/og/v2?division=Calculations\u0026amp;title=Tax+calculations\u0026amp;description=This+endpoint+calculates+tax+for+an+invoice+based+on+the+provided+request+data.%0ATo+learn+more+about+how+tax+is+calculated%2C+see+the+%5Btax+calculation+guide%5D%28%2Fapi-\u0026amp;theme=48b4f91f11b8c0a5c1c8c1f6\u0026amp;signature=1d610b4bf317b77999d439b3de497304a2160e2dbde6397c00cd4a97191a233c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Tax calculations - Taxwire Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint calculates tax for an invoice based on the provided request data. To learn more about how tax is calculated, see the tax calculation guide. It processes the invoice details and returns calculated tax information, including individual tax items and total tax due. - Input: Details about the invoice. - Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction. Raises an HTTPException if there\u0026#x27;s an error processing while the request, translating to a non 200 status code response.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://taxwire.mintlify.site/_mintlify/api/og/v2?division=Calculations\u0026amp;title=Tax+calculations\u0026amp;description=This+endpoint+calculates+tax+for+an+invoice+based+on+the+provided+request+data.%0ATo+learn+more+about+how+tax+is+calculated%2C+see+the+%5Btax+calculation+guide%5D%28%2Fapi-\u0026amp;theme=48b4f91f11b8c0a5c1c8c1f6\u0026amp;signature=1d610b4bf317b77999d439b3de497304a2160e2dbde6397c00cd4a97191a233c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/taxwire/4SC2Aj2b89wSz90t/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Taxwire Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#006ad4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidocs.taxwire.com/api-reference/calculations/create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/calculations/create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidocs.taxwire.com/#organization\",\"name\":\"Taxwire Documentation\",\"url\":\"https://apidocs.taxwire.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/taxwire/kIqs87W6QVd_NiC-/logo/light.svg?fit=max\u0026auto=format\u0026n=kIqs87W6QVd_NiC-\u0026q=85\u0026s=7bb92701f7b553132429a252a66c75bc\"}},{\"@type\":\"WebSite\",\"@id\":\"https://apidocs.taxwire.com#website\",\"name\":\"Taxwire Documentation\",\"url\":\"https://apidocs.taxwire.com\",\"publisher\":{\"@id\":\"https://apidocs.taxwire.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidocs.taxwire.com/api-reference/calculations/create#webpage\",\"url\":\"https://apidocs.taxwire.com/api-reference/calculations/create\",\"name\":\"Tax calculations\",\"description\":\"This endpoint calculates tax for an invoice based on the provided request data. To learn more about how tax is calculated, see the tax calculation guide. It processes the invoice details and returns calculated tax information, including individual tax items and total tax due. - Input: Details about the invoice. - Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction. Raises an HTTPException if there's an error processing while the request, translating to a non 200 status code response.\",\"dateModified\":\"2026-10-19T11:23:41.319Z\",\"isPartOf\":{\"@id\":\"https://apidocs.taxwire.com#website\"},\"breadcrumb\":{\"@id\":\"https://apidocs.taxwire.com/api-reference/calculations/create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidocs.taxwire.com/api-reference/calculations/create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Taxwire Documentation\",\"item\":\"https://apidocs.taxwire.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Tax calculations\",\"item\":\"https://apidocs.taxwire.com/api-reference/calculations/create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidocs.taxwire.com/api-reference/calculations/create#apireference\",\"headline\":\"Tax calculations\",\"name\":\"Tax calculations\",\"description\":\"This endpoint calculates tax for an invoice based on the provided request data. To learn more about how tax is calculated, see the tax calculation guide. It processes the invoice details and returns calculated tax information, including individual tax items and total tax due. - Input: Details about the invoice. - Output: Response with total tax due and calculated tax details broken up by line item and jurisdiction. Raises an HTTPException if there's an error processing while the request, translating to a non 200 status code response.\",\"url\":\"https://apidocs.taxwire.com/api-reference/calculations/create\",\"mainEntityOfPage\":{\"@id\":\"https://apidocs.taxwire.com/api-reference/calculations/create#webpage\"},\"dateModified\":\"2026-10-19T11:23:41.319Z\",\"publisher\":{\"@id\":\"https://apidocs.taxwire.com/#organization\"},\"isPartOf\":{\"@id\":\"https://api
[...]
